Subject: Re: bug#20084: comint-highlight-prompt overrides ANSI colors in 24.4

From: Stefan Monnier <[email-masked]>
Date: Sun, 22 Mar 2015 22:10:44 -0400

> only `face' or `font-lock-face' specific quirk being that `anonymous
> faces' have to be treated like atoms.

The fact that you can combine values by using a list is not true of
all properties (far from that).

> Also, am I wrong that foo-- is used for symbols which are private to
> the `foo' library whereas `private to emacs' is achieved by not
> documenting things in the manual?

There's no such distinction.  The "--" is just mean to say it's
"internal/private" for some largely unspecified definition of
"internal/private".

> (I'm talking about pushing it to the master branch only, since it's not
> a regression against 24.4, as the OP noted).

Yes, of course.

        Stefan